<?php
/**
 * HVAC Repair functions and definitions
 *
 * @package HVAC Repair
 * @since 1.0
 */

if ( ! function_exists( 'hvac_repair_support' ) ) :
	function hvac_repair_support() {
		
		load_theme_textdomain( 'hvac-repair', get_template_directory() . '/languages' );

		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'hvac_repair_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('HVAC_REPAIR_BUY_NOW',__('https://www.themescarts.com/products/havc-wordpress-theme/','hvac-repair'));
		define('HVAC_REPAIR_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/havc-repair/','hvac-repair'));
		define('HVAC_REPAIR_BUNDLE_LINK',__('https://www.themescarts.com/products/wordpress-theme-bundle/','hvac-repair'));

	}
endif;
add_action( 'after_setup_theme', 'hvac_repair_support' );

/*-------------------------------------------------------------
 Enqueue Styles
--------------------------------------------------------------*/

if ( ! function_exists( 'hvac_repair_styles' ) ) :
	function hvac_repair_styles() {
		// Register theme stylesheet.
		wp_enqueue_style('hvac-repair-style', get_stylesheet_uri(), array(), wp_get_theme()->get('version') );
		wp_enqueue_style('owl-carousel-css', get_template_directory_uri(). '/assets/css/owl.carousel.css', array(), '2.3.4' );
		wp_enqueue_style('hvac-repair-style-blocks', get_template_directory_uri(). '/assets/css/blocks.css');
		wp_enqueue_style('hvac-repair-style-responsive', get_template_directory_uri(). '/assets/css/responsive.css');
		wp_style_add_data( 'hvac-repair-style', 'rtl', 'replace' );
		wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), '2.3.4', true );
		wp_enqueue_script( 'wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), wp_get_theme()->get('Version'), true );
		wp_enqueue_script( 'hvac-repair-custom-js', get_theme_file_uri( '/assets/js/custom.js' ), array( 'jquery' ), true );
		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/assets/css/animate.css', array(), wp_get_theme()->get('Version') );
		wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/assets/font-awesome/css/all.css', array(), '7.0.0' );

		wp_enqueue_style( 'dashicons' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'hvac_repair_styles' );

function hvac_repair_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('hvac-repair-welcome-notice', get_template_directory_uri() . '/inc/hvac-repair-theme-info-page/js/hvac-repair-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('hvac-repair-welcome-notice', 'hvac_repair_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('hvac_repair_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('hvac_repair_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=hvac-repair-theme-info-page')
    ));
}
add_action('admin_enqueue_scripts', 'hvac_repair_enqueue_admin_script');

if (!function_exists('hvac_repair_enable_plugin_autoupdate')) {

    add_filter('auto_update_plugin', function ($update, $item) {
        if ($item->slug === 'siteready-coming-soon-under-construction') {
            return true;
        }
        return $update;
    }, 10, 2);

}

function hvac_repair_plugin_update_available($slug, $file) {
    $updates = get_site_transient('update_plugins');

    if (!isset($updates->response[$slug . '/' . $file])) {
        return false; // No update available
    }

    return $updates->response[$slug . '/' . $file];
}

require get_template_directory() .'/inc/TGM/tgm.php';

// Add block patterns
require get_template_directory() . '/inc/block-patterns.php';

require_once get_theme_file_path( 'inc/hvac-repair-theme-info-page/templates/class-theme-notice.php' );

require_once get_theme_file_path( 'inc/hvac-repair-theme-info-page/class-theme-info.php' );

require_once get_theme_file_path( '/inc/customizer.php' );	
?>